## rodbc 1.3

=== DESCRIPTION ===
Package: RODBC
Version: 1.3-26
Revision: $Rev: 3674 $
Date: 2024-12-12
Authors@R: c(person("Brian", "Ripley", role = c("aut", "cre"),
                    email = "Brian.Ripley@R-project.org"),
             person("Michael", "Lapsley", role = "aut", 
	            comment = "1999 to Oct 2002"))
Title: ODBC Database Access
Description: An ODBC database interface.
SystemRequirements: An ODBC3 driver manager and drivers.
Depends: R (>= 4.0.0)
Imports: stats
LazyLoad: yes
Biarch: yes
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2024-12-12 11:56:03 UTC; ripley
Author: Brian Ripley [aut, cre],
  Michael Lapsley [aut] (1999 to Oct 2002)
Maintainer: Brian Ripley <Brian.Ripley@R-project.org>
Repository: CRAN
Date/Publication: 2024-12-12 13:47:23 UTC

## rodbc 1.3-16

=== debian/changelog ===
rodbc (1.3-16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Sep 2019 10:37:02 -0500

rodbc (1.3-15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  
  * debian/control: Added ${misc:Depends} to Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Apr 2017 07:23:44 -0500

rodbc (1.3-14-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2016 18:59:04 -0500

rodbc (1.3-13-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #827656)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jun 2016 08:17:59 -0500

rodbc (1.3-13-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Apr 2016 12:15:12 -0500

rodbc (1.3-12-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2015 09:10:18 -0500

rodbc (1.3-11-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Feb 2015 06:30:59 -0600

rodbc (1.3-10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Nov 2013 06:42:11 -0600

rodbc (1.3-9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Nov 2013 06:39:15 -0500

rodbc (1.3-8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Sep 2013 11:09:05 -0500

rodbc (1.3-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:30:26 -0500

rodbc (1.3-6-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 10:03:41 -0500

rodbc (1.3-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2012 12:30:19 -0500

rodbc (1.3-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Mar 2012 08:45:56 -0600

rodbc (1.3-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Jan 2012 08:45:59 -0600

rodbc (1.3-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jul 2011 14:01:25 -0500

rodbc (1.3-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jul 2010 09:37:22 -0500

rodbc (1.3-1-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:14:12 -0600

rodbc (1.3-1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Oct 2009 16:33:21 -0500

rodbc (1.3-0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jul 2009 10:01:10 -0500

rodbc (1.2.6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.2

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Jun 2009 19:36:55 -0500

rodbc (1.2.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jan 2009 16:41:57 -0600

rodbc (1.2.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.8.0
  * debian/control: Set Standards-Version: to current version 3.8.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Nov 2008 19:54:37 -0600

rodbc (1.2.3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.7.3

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jan 2008 10:14:53 -0600

rodbc (1.2.2-1) unstable; urgency=low

  * New upstream release
  
  * Built with R 2.6.0, so setting (Build-)Depends: to 


=== debian/control ===
Source: rodbc
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.1), unixodbc-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
Homepage: https://cran.r-project.org/package=RODBC

Package: r-cran-rodbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Suggests: odbc-postgresql, libmyodbc
Description: GNU R package for ODBC database access
 This CRAN package provides access to any Open DataBase Connectivity (ODBC)
 accessible database. 
 .
 The package should be platform independent and provide access to any
 database for which a driver exists.  It has been tested with MySQL
 and PostgreSQL on both Linux and Windows (and to those DBMSs on Linux
 hosts from R under Windows), Microsoft Access, SQL Server and Excel
 spreadsheets (read-only), and users have reported success with
 connections to Oracle and DBase.
 .
 Usage is covered in the R Data Import/Export manual (available via the 
 r-doc-pdf, r-doc-html and r-doc-info packages).

## rodbc 1.3-17

=== debian/changelog ===
rodbc (1.3-17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 May 2020 09:36:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.1), unixodbc-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.3), unixodbc-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
 Homepage: https://cran.r-project.org/package=RODBC

## rodbc 1.3-19

=== debian/changelog ===
rodbc (1.3-19-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Sep 2021 14:10:07 -0500

rodbc (1.3-18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Aug 2021 12:24:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.3), unixodbc-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.1), unixodbc-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
 Homepage: https://cran.r-project.org/package=RODBC

## rodbc 1.3-20

=== debian/changelog ===
rodbc (1.3-20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Dec 2022 06:55:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.1), unixodbc-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2), unixodbc-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
 Homepage: https://cran.r-project.org/package=RODBC

## rodbc 1.3-21

=== debian/changelog ===
rodbc (1.3-21-1cran1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 05 Oct 2023 00:22:58 +0000

rodbc (1.3-21-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 27 Aug 2023 03:45:07 -0400

rodbc (1.3-20-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 11 Dec 2022 11:38:18 -0500

rodbc (1.3-19-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 18 Sep 2021 09:50:56 -0400

rodbc (1.3-18-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 05 Sep 2021 10:25:30 -0400

rodbc (1.3-17-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 02 Jan 2021 09:21:11 -0500

rodbc (1.3-16-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 12 Sep 2020 09:52:54 -0400

=== debian/control ===
Source: rodbc
Section: gnu-r
Priority: optional
Maintainer: cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>
Build-Depends: unixodbc-dev, r-base-dev, xvfb, xauth, xfonts-base,
 r-base-core, debhelper (>> 4.1.0), cdbs
Standards-Version: 4.1.4

Package: r-cran-rodbc
Architecture: any
Depends: r-base-core, ${shlibs:Depends}
Description: GNU R package "ODBC Database Access"
 .
 An ODBC database interface.
 .
 Author: Brian Ripley [aut, cre], Michael Lapsley [aut] (1999 to Oct
 2002)
 .
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>

## rodbc 1.3-22

=== debian/changelog ===
rodbc (1.3-22-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 25 Nov 2023 14:54:14 +0000

rodbc (1.3-22-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Nov 2023 15:43:14 -0600

rodbc (1.3-21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Aug 2023 11:26:51 -0500

=== debian/control ===
Source: rodbc
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.2), unixodbc-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
Homepage: https://cran.r-project.org/package=RODBC

Package: r-cran-rodbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Suggests: odbc-postgresql, libmyodbc
Description: GNU R package for ODBC database access
 This CRAN package provides access to any Open DataBase Connectivity (ODBC)
 accessible database. 
 .
 The package should be platform independent and provide access to any
 database for which a driver exists.  It has been tested with MySQL
 and PostgreSQL on both Linux and Windows (and to those DBMSs on Linux
 hosts from R under Windows), Microsoft Access, SQL Server and Excel
 spreadsheets (read-only), and users have reported success with
 connections to Oracle and DBase.
 .
 Usage is covered in the R Data Import/Export manual (available via the 
 r-doc-pdf, r-doc-html and r-doc-info packages).

## rodbc 1.3-23

=== debian/changelog ===
rodbc (1.3-23-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Nov 2023 08:49:25 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.2), unixodbc-dev
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), unixodbc-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rodbc package
# Copyright 2003 - 2019 by Dirk Eddelbuettel <edd@debian.org>

## this was introduced to fix Debian bug report #354723
CPPFLAGS := -DBUILD_REAL_64_BIT_MODE
export CPPFLAGS

%:
	dh $@ --buildsystem R

## rodbc 1.3-26

=== debian/changelog ===
rodbc (1.3-26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Dec 2024 13:00:13 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), unixodbc-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), unixodbc-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
 Homepage: https://cran.r-project.org/package=RODBC

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RODBC_(.*)\.tar.gz

## rodbc 1.3-26.1

=== debian/changelog ===
rodbc (1.3-26.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Dec 2025 06:39:11 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), unixodbc-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.2), unixodbc-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rodbc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rodbc.git
 Homepage: https://cran.r-project.org/package=RODBC
